CVE-2020-13401

NameCVE-2020-13401
DescriptionAn issue was discovered in Docker Engine before 19.03.11. An attacker in a container, with the CAP_NET_RAW capability, can craft IPv6 router advertisements, and consequently spoof external IPv6 hosts, obtain sensitive information, or cause a denial of service.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDSA-4716-1
Debian Bugs962141

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
docker.io (PTS)buster, buster (security)18.09.1+dfsg1-7.1+deb10u3fixed
bullseye20.10.5+dfsg1-1+deb11u2fixed
bookworm20.10.24+dfsg1-1fixed
sid, trixie20.10.25+dfsg1-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
docker.iosourcebuster18.09.1+dfsg1-7.1+deb10u2DSA-4716-1
docker.iosource(unstable)19.03.11+dfsg1-1962141

Notes

https://bugzilla.redhat.com/show_bug.cgi?id=1833233
https://github.com/moby/libnetwork/commit/153d0769a1181bf591a9637fd487a541ec7db1e6

Search for package or bug name: Reporting problems